
Katello - Feature #4099

[RFE] a way to force autoattach for all systems in an org

01/16/2014 05:47 PM - Katello Issue Migration

Status: Closed   

Priority: Normal   

Assignee:    

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If I have an org with a bunch of systems, they will be red until I import a manifest (either via the distributor refresh or via uploading a

zip file in the UI).  Once I get the right subscriptions in the org, I need to do one of the following:

wait until all the systems do a healing request (could be up to 24h)

manually attach subscriptions for each system

Would it be possible to have a "autoattach all systems" button/link somewhere that forced an autoattach for all systems that had

autoattach enabled? That way, they would become green without having to wait. It doesn't have to be synchronous, a background

job would be fine.

Created: beav on April 30, 2013 15:30 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/2128

Comment 1

Ideally there would be a candlepin API to "heal the org". This could then (optionally?) be run after every import/refresh of a manifest.

Created: thomasmckay on April 30, 2013 16:03 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/comments/17236488

Comment 2

@Thomas McKay this is possible now in candlepin 0.8.15, via a blank POST to /candlepin/owners/owner label/entitlements

For now, the easiest thing to do might be for me to call this after my script is done. Can you add a passthrough in katello for this API,

as well as a binding for it in katello-cli?

Created: beav on June 19, 2013 20:00 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/comments/19710653

Comment 3

Is ```owner_label``` the system uuid?

Created: omaciel on June 19, 2013 20:04 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/comments/19710901

Comment 4

@Og Maciel no, it is the org label (candlepin owners are katello orgs)

Note this task is schedule for Team Headpin current sprint to add to both UI and CLI (and thus API as well)
https://trello.com/card/12-as-a-sam-user-i-would-like-to-have-a-button-which-runs-in-async-mode-the-heal-my-org-call/514760d2397

e4bf63b001da3/100

Created: thomasmckay on June 19, 2013 20:11 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/comments/19711318

Comment 5

Awww... I did this https://github.com/omaciel/katello-cli/commit/2b7d606d97f1dc2aa422d3ddfec565189a48bc5b but can change it

accordingly (WIP)

Created: omaciel on June 19, 2013 20:12 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/comments/19711391

History

#1 - 06/19/2014 05:38 PM - Eric Helms

- Category set to API

- Status changed from New to Closed

- Triaged set to No

This is currently available via the autoattach_subscriptions API action.

#2 - 07/07/2014 07:14 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 07/07/2014 07:20 AM - Eric Helms

- Target version set to 48

#4 - 08/21/2014 02:28 PM - Eric Helms

- translation missing: en.field_release set to 13
